summaryrefslogtreecommitdiffstats
path: root/firewall_wizard/scripts/check_ext_device.sh
diff options
context:
space:
mode:
Diffstat (limited to 'firewall_wizard/scripts/check_ext_device.sh')
-rwxr-xr-xfirewall_wizard/scripts/check_ext_device.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/firewall_wizard/scripts/check_ext_device.sh b/firewall_wizard/scripts/check_ext_device.sh
new file mode 100755
index 00000000..c1fc0092
--- /dev/null
+++ b/firewall_wizard/scripts/check_ext_device.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+# script for wizard firewall configuration
+#
+# checking if the provided value is correct :
+# strip the @, need at least a dot
+
+
+dtmp=`echo ${wiz_ext_device} |sed -e 's/^\(\w*\).*$/\1/'`
+if [ -z "${dtmp}" ] ;then
+ echo_debug "wiz_ext_device is empty, should not."
+ exit 1
+fi
+
+# all seems to be ok
+exit 10